package com.caimei.module.base.entity.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * cm_logistics_batch
 *
 * @author
 */
@Data
public class CmLogisticsBatch implements Serializable {
    private Long id;

    /**
     * 子订单ID
     */
    private Long shopOrderID;

    /**
     * 主订单ID
     */
    private String orderID;

    /**
     * 第几批发货
     */
    private Long outStoreTimes;

    /**
     * 是否确认收货（0：否，1：是）
     */
    private String status;

    /**
     * 邮寄者  0 采美   1 供应商
     */
    private String mailer;

    /**
     * 供应商ID
     */
    private Long shopID;

    /**
     * 最后更新时间
     */
    private Date updateDate;

    /**
     * 发货时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date deliveryTime;

    /**
     * 收货时间
     */
    private Date receiptTime;

    private static final long serialVersionUID = 1L;
}
