package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * product_ladder_price
 * @author
 */
@Data
public class ProductLadderPrice implements Serializable {
    private Long id;

    /**
     * 商品id
     */
    private Long productId;

    /**
     * 用户类型，1游客，2普通用户，3会员用户
     */
    private Long userType;

    /**
     * 第几阶梯
     */
    private Long ladderNum;

    /**
     * 购买数量
     */
    private Long buyNum;

    /**
     * 购买价格
     */
    private BigDecimal buyPrice;

    /**
     * 创建人
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 最后更新人
     */
    private Long updateBy;

    /**
     * 最后更新时间
     */
    private Date updateDate;

    /**
     * 删除标记 0正常 其它为已删除（使用时间戳记录）
     */
    private String delFlag;

    private static final long serialVersionUID = 1L;
}
