package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.CmShopOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2020\3\19 0019
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ShopOrderVo extends CmShopOrder {
    /**
     * 供应商名称
     */
    private String shopName;

    /**
     * 供应商logo
     */
    private String shopLogo;

    /**
     * 发货物流记录
     */
    private List<LogisticsRecordVo> logisticsRecordList;

    /**
     * 订单商品信息
     */
    private List<OrderProductVo> orderProductList;

    /**
     * 收货地址
     */
    private UserinfoVo userInfo;

    /**
     * 买家名称
     */
    private String name;
}
